Bug 963 - The system boots "through time".
: The system boots "through time".
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
: ROSA 2012.1 Beta
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 21:13 MSD by Postnikov Dmitry
Modified: 2012-12-14 00:30 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
bootlog-failed (337 bytes, text/plain)
2012-10-17 21:13 MSD, Postnikov Dmitry
Details
syslog-failed (37.64 KB, text/plain)
2012-10-17 21:13 MSD, Postnikov Dmitry
Details
syslog-error (23.58 KB, text/plain)
2012-10-17 21:13 MSD, Postnikov Dmitry
Details
lspcidrake (3.76 KB, text/plain)
2012-10-17 21:14 MSD, Postnikov Dmitry
Details
lspci-vvn (11.28 KB, text/plain)
2012-10-17 21:14 MSD, Postnikov Dmitry
Details
lsusb (533 bytes, text/plain)
2012-10-17 21:14 MSD, Postnikov Dmitry
Details
syslog-full (1.10 MB, text/plain)
2012-10-17 21:29 MSD, Postnikov Dmitry
Details
syslog full after clear (142.65 KB, text/plain)
2012-10-17 21:34 MSD, Postnikov Dmitry
Details
Xorg.0.log (42.20 KB, text/plain)
2012-10-17 21:39 MSD, Postnikov Dmitry
Details
syslog full after clear BAD (282.78 KB, text/plain)
2012-10-17 21:51 MSD, Postnikov Dmitry
Details
Xorg.0.log BAD (42.20 KB, text/plain)
2012-10-17 21:51 MSD, Postnikov Dmitry
Details
blkid (286 bytes, text/plain)
2012-10-17 22:18 MSD, Postnikov Dmitry
Details
fdisk -l (786 bytes, text/plain)
2012-10-17 22:20 MSD, Postnikov Dmitry
Details
bootlog-full (4.72 KB, text/plain)
2012-10-17 23:48 MSD, Postnikov Dmitry
Details
kernel error.log from my comp (3.64 KB, text/plain)
2012-10-17 23:56 MSD, Postnikov Dmitry
Details
update-grub2 acess denied (139.26 KB, image/png)
2012-10-18 00:13 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2012-10-17 21:13:08 MSD
Created attachment 721 [details]
bootlog-failed

Description of problem:
In 499th iso.
The system boots "through time". From 12 computer reboots, 7 times after Plymouth black screen and all, 5 times - normal boot.

Many error in log files.
See attach.
Comment 1 Postnikov Dmitry 2012-10-17 21:13:29 MSD
Created attachment 722 [details]
syslog-failed
Comment 2 Alexander Burmashev 2012-10-17 21:13:47 MSD
Live boot or installed system boot ?
Comment 3 Postnikov Dmitry 2012-10-17 21:13:54 MSD
Created attachment 723 [details]
syslog-error
Comment 4 Postnikov Dmitry 2012-10-17 21:14:16 MSD
Created attachment 724 [details]
lspcidrake
Comment 5 Postnikov Dmitry 2012-10-17 21:14:35 MSD
Created attachment 725 [details]
lspci-vvn
Comment 6 Postnikov Dmitry 2012-10-17 21:14:58 MSD
Created attachment 726 [details]
lsusb
Comment 7 Postnikov Dmitry 2012-10-17 21:18:46 MSD
(In reply to comment #2)
> Live boot or installed system boot ?

EN: After install system.

RU: Система грузится "через раз". Из 12 раз перезагрузки, всего 5 раз нормально.
Хотя Система установилась без проблем.
Comment 8 Alexander Burmashev 2012-10-17 21:26:45 MSD
syslog is full of data from all boots, successfull or not.
Can you please empty it ( for example with echo > /var/log/syslog ) and reboot until boot is "broken" ?
Comment 9 Postnikov Dmitry 2012-10-17 21:29:48 MSD
Created attachment 727 [details]
syslog-full
Comment 10 Postnikov Dmitry 2012-10-17 21:30:43 MSD
(In reply to comment #8)
> syslog is full of data from all boots, successfull or not.
> Can you please empty it ( for example with echo > /var/log/syslog ) and
> reboot until boot is "broken" ?


Now try as you said.
Comment 11 Postnikov Dmitry 2012-10-17 21:34:43 MSD
Created attachment 728 [details]
syslog full after clear
Comment 12 Alexander Burmashev 2012-10-17 21:36:09 MSD
This log was uploaded after the unsuccessful boot, am i  right ?
Comment 13 Alexander Burmashev 2012-10-17 21:37:59 MSD
xorg.0.log is also needed
Comment 14 Postnikov Dmitry 2012-10-17 21:38:23 MSD
(In reply to comment #12)
> This log was uploaded after the unsuccessful boot, am i  right ?

No. Syslog after successful boot. Do you need syslog after UNsuccessful boot?
Comment 15 Alexander Burmashev 2012-10-17 21:39:04 MSD
yep, same for xorg
Comment 16 Postnikov Dmitry 2012-10-17 21:39:31 MSD
Created attachment 729 [details]
Xorg.0.log
Comment 17 Postnikov Dmitry 2012-10-17 21:49:10 MSD
Wow! :)
1. I clear Syslog and clear Xorg.0.log
2. Reboot
3. System unsuccessful rebooted!!
4. And try reboot and now write...

See attachment.
Comment 18 Postnikov Dmitry 2012-10-17 21:51:22 MSD
Created attachment 730 [details]
syslog full after clear BAD
Comment 19 Postnikov Dmitry 2012-10-17 21:51:51 MSD
Created attachment 731 [details]
Xorg.0.log BAD
Comment 20 Alexander Burmashev 2012-10-17 21:54:29 MSD
when it is possible provide please blkid output
Comment 21 Postnikov Dmitry 2012-10-17 21:56:37 MSD
(In reply to comment #20)
> when it is possible provide please blkid output

mmmm... I'll come home from work, eat, and give you all the data (far), we have to wait 30-40 minutes. :)
Comment 22 Postnikov Dmitry 2012-10-17 22:18:47 MSD
Created attachment 732 [details]
blkid
Comment 23 Postnikov Dmitry 2012-10-17 22:20:18 MSD
Created attachment 733 [details]
fdisk -l
Comment 24 Postnikov Dmitry 2012-10-17 23:22:57 MSD
On another computer in boot.log as is written: [FAILED] Failed to start Apply Kernel Variables.
Can provide information from another computer.
But he consistently reboots.
Comment 25 Alexander Burmashev 2012-10-17 23:28:48 MSD
[FAILED] Failed to start Apply Kernel Variables. is not was may cause the problem
Comment 26 Aleksandr Kazantcev 2012-10-17 23:41:46 MSD
Please disable CUPS (or mask it service) and try reboot.

And if CTRL + F1 work?

Also please attach bootlog
Comment 27 Postnikov Dmitry 2012-10-17 23:47:17 MSD
(In reply to comment #26)
> Please disable CUPS (or mask it service) and try reboot.
> 
> And if CTRL + F1 work?
> 
> Also please attach bootlog

CUPS service by default is dead.
-------------
[root@mindlife2 pastordi]# service cups status
Redirecting to /bin/systemctl status cups.service
cups.service - CUPS Printing Service
          Loaded: loaded (/lib/systemd/system/cups.service; disabled)
          Active: inactive (dead)
          CGroup: name=systemd:/system/cups.service

[root@mindlife2 pastordi]#
-------------
Comment 28 Postnikov Dmitry 2012-10-17 23:48:17 MSD
Created attachment 734 [details]
bootlog-full
Comment 29 Postnikov Dmitry 2012-10-17 23:51:36 MSD
One of the tester, the computer just ONE time "hanging". With the same symptoms.
Comment 30 Aleksandr Kazantcev 2012-10-17 23:55:00 MSD
Please after properly reboot go to

/etc/default/

and in 'grub' file change (from root)

GRUB_CMDLINE_LINUX_DEFAULT

to 

GRUB_CMDLINE_LINUX_DEFAULT='logo.nologo'

then run

update-grub2

and reboot

If hung please foto you monitor screen, if it has some freezy string.
Comment 31 Postnikov Dmitry 2012-10-17 23:56:24 MSD
Created attachment 735 [details]
kernel error.log from my comp
Comment 32 Aleksandr Kazantcev 2012-10-18 00:06:18 MSD
I think this is upstream drm/radeon error:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1058303
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1029159

And we need patch the kernel. Now we investigate bug ans try build kernel with patches.

Before fix in kernel, try change string to

GRUB_CMDLINE_LINUX_DEFAULT='nomodeset logo.nologo'

and rebuild grub.cfg with

update-grub2
Comment 33 Postnikov Dmitry 2012-10-18 00:12:47 MSD
update-grub2 = access denied from root

I have corrected hands in the menu at boot Grub2

See att.
Comment 34 Postnikov Dmitry 2012-10-18 00:13:22 MSD
Created attachment 736 [details]
update-grub2 acess denied
Comment 35 Alexander Burmashev 2012-10-18 00:13:41 MSD
chmod +x /usr/sbin/update-grub2 and it will be working
Comment 36 Postnikov Dmitry 2012-10-18 00:20:02 MSD
(In reply to comment #35)
> chmod +x /usr/sbin/update-grub2 and it will be working

update-grub2:
----------------
[root@mindlife2 ~]# update-grub2
Генерируется grub.cfg …
Найдена тема: /boot/grub2/themes/rosa/theme.txt
Найден фон: /boot/grub2/themes/rosa/term_background.jpg
Найден образ linux: /boot/vmlinuz-3.5.6-nrj-desktop-1rosa
Найден образ initrd: /boot/initramfs-3.5.6-nrj-desktop-1rosa.img
  No volume groups found
Найден Windows 7 (loader) на /dev/sda1
завершено
[root@mindlife2 ~]#
----------------
Comment 37 Postnikov Dmitry 2012-10-18 00:27:36 MSD
(In reply to comment #32)
> I think this is upstream drm/radeon error:
> 
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1058303
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1029159
> 
> And we need patch the kernel. Now we investigate bug ans try build kernel
> with patches.
> 
> Before fix in kernel, try change string to
> 
> GRUB_CMDLINE_LINUX_DEFAULT='nomodeset logo.nologo'
> 
> and rebuild grub.cfg with
> 
> update-grub2

But my second computer stability rebooted with the video card ATI HD 4250
Comment 38 Postnikov Dmitry 2012-10-18 00:31:15 MSD
In this troubled computer video card ATI GPU HD 6310 built into the processor. And in another computer HD4250 built into the motherboard.


I understand that the problem with built-in the processor ATI video cards?
Comment 39 Aleksandr Kazantcev 2012-10-18 00:36:25 MSD
I think it's problem with and hd6xxx series and upstream kernel error...

Is 'nomodeset' help?
Comment 40 Postnikov Dmitry 2012-10-18 00:48:24 MSD
(In reply to comment #39)
> I think it's problem with and hd6xxx series and upstream kernel error...
> 
> Is 'nomodeset' help?

Helped by 75% :) Now sometimes Plymouth logo Rosa in screen half. :) But rebootes is stability.
Comment 41 Alexander Burmashev 2012-10-18 00:49:28 MSD
(In reply to comment #40)
> (In reply to comment #39)
> > I think it's problem with and hd6xxx series and upstream kernel error...
> > 
> > Is 'nomodeset' help?
> 
> Helped by 75% :) Now sometimes Plymouth logo Rosa in screen half. :) But
> rebootes is stability.

This is another bug, not related to this one :)
Comment 42 Postnikov Dmitry 2012-10-20 01:41:51 MSD
Continuation of the story. :)

Boot menu ISOLINUX,

First computer with video HD 4250:
1. "Start ROSA...." - is work
2. "Install ROSA..." - is work
3. "Start ROSA in basic mode..." - NOT work, after Plymuth black screen.
4. "Install ROSA in basic mode..." - NOT work, after Plymuth black screen.

Second computer (laptop) with ATI GPU HD 6310:

1. "Start ROSA...." - is work
2. "Install ROSA..." - is work
3. "Start ROSA in basic mode..." - is work, but not Live mode. Install mode!
4. "Install ROSA in basic mode..." - is work
Comment 43 Konstantin Vlasov 2012-12-13 19:42:35 MSK
The main idea is, user should try "Install ROSA" and in case of failure try with "Install ROSA in basic mode", and at least one of these two items must definitely work. According to the comment #42, this is exactly the case with the tested ISO, so the problem is solved.

Dmitry, could you please confirm this, so that we could close the bug?
Comment 44 Postnikov Dmitry 2012-12-14 00:17:38 MSK
(In reply to comment #43)
> The main idea is, user should try "Install ROSA" and in case of failure try
> with "Install ROSA in basic mode", and at least one of these two items must
> definitely work. According to the comment #42, this is exactly the case with
> the tested ISO, so the problem is solved.
> 
> Dmitry, could you please confirm this, so that we could close the bug?

In ROSA2012.1 RC all work OK. Bugs should be closed.
Comment 45 Denis Koryavov 2012-12-14 00:30:52 MSK
OK :)